
Bugs - Bug #7

misconversion of multi-table FOR/REPEAT/DO with UNIQUE component

10/03/2011 12:00 PM - Stanislav Lomany

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/24/2011 12:49 PM - Stanislav Lomany

@45264 - testcase:

def temp-table tt1 field f1 as integer.

    create tt1. f1 = 1.

    create tt1. f1 = 2.

    def temp-table tt2 field f2 as integer.

    create tt2. f2 = 1.

    create tt2. f2 = 2.

    repeat preselect each tt1, tt2:

      find next tt2.

      if avail tt2 then message "test1".

      else leave.

    end.

Note that as far as I've checked, Progress 9.1 doesn't allow unique elements in multi-table queries.

#2 - 10/03/2011 11:06 PM - Stanislav Lomany

@45112 - issue description:

Multi-table FOR/REPEAT/DO cycle containing an UNIQUE component, converted to a preselect / presort query. The 

conversion output is mistakenly converted and looks like this:

query = new PreselectQuery("b.b1 asc");

query.addComponent(a, ((String) null));
query.setIterationType(QueryConstants.UNIQUE);

query.addComponent(b, ((String) null));

query.setIterationType(QueryConstants.UNIQUE);

#3 - 10/17/2011 03:41 PM - Redmine Admin

@45125 - Status changed from WIP to Hold

#4 - 04/12/2012 11:23 AM - Stanislav Lomany

Imported from JPRM on 2012-04-12 11:23:00.41:

TASKID      = 6100

PROJECTID   = 124

STATUS      = 3 (Hold)

DESCRIPTION = misconversion of multi-table FOR/REPEAT/DO with UNIQUE component

OWNER       = SVL

ASSIGNEE    = 

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-10-03

ESTSTOP     = 

ACTSTOP     = 

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-17
